grub-pc_2.02~beta2-36ubuntu3_amd64.deb


Advertisement

Description

grub-pc - GRand Unified Bootloader, version 2 (PC/BIOS version)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename grub-pc_2.02~beta2-36ubuntu3_amd64.deb
Package name grub-pc
Package version 2.02~beta2
Package release 36ubuntu3
Package architecture amd64
Package type deb
Category admin
Homepage http://www.gnu.org/software/grub/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 193.38 KB
Installed size 547.00 KB
GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
cleaner design than its predecessors, and provides the following new features:
- Scripting in grub.cfg using BASH-like syntax.
- Support for modern partition maps such as GPT.
- Modular generation of grub.cfg via update-grub.  Packages providing GRUB
add-ons can plug in their own script rules and trigger updates by invoking
update-grub.
- VESA-based graphical mode with background image support and complete 24-bit
color set.
- Support for extended charsets.  Users can write UTF-8 text to their menu
entries.
This package contains a version of GRUB that has been built for use with
traditional PC/BIOS architecture.

Alternatives

Package Version Architecture Repository
grub-pc_2.02~beta2-36ubuntu3.21_amd64.deb 2.02~beta2 amd64 Ubuntu Updates Main
grub-pc_2.02~beta2-36ubuntu3.21_i386.deb 2.02~beta2 i386 Ubuntu Updates Main
grub-pc_2.02~beta2-36ubuntu3_i386.deb 2.02~beta2 i386 Ubuntu Main
grub-pc - - -

Requires

Name Value
debconf >= 0.5
debconf-2.0 -
dpkg >= 1.17.13
grub-common = 2.02~beta2-36ubuntu3
grub-gfxpayload-lists -
grub-pc-bin = 2.02~beta2-36ubuntu3
grub2-common = 2.02~beta2-36ubuntu3
ucf -

Conflicts

Name Value
grub << 0.97-54
grub-coreboot -
grub-efi-amd64 -
grub-efi-ia32 -
grub-ieee1275 -
grub-legacy -
grub-xen -

Replaces

Name Value
grub -
grub-common <= 1.97~beta2-1
grub-coreboot -
grub-efi-amd64 -
grub-efi-ia32 -
grub-ieee1275 -
grub-legacy -
grub2 << 2.02~beta2-36ubuntu3

Download

Type URL
Mirror archive.ubuntu.com
Binary Package grub-pc_2.02~beta2-36ubuntu3_amd64.deb
Source Package grub2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install grub-pc deb package:
    # sudo apt-get install grub-pc

Files

Path
/etc/kernel/postinst.d/zz-update-grub
/etc/kernel/postrm.d/zz-update-grub
/usr/bin/grub-ntldr-img
/usr/lib/grub-legacy/update-grub
/usr/sbin/grub-bios-setup
/usr/sbin/upgrade-from-grub-legacy
/usr/share/bug/grub-pc/presubj
/usr/share/bug/grub-pc/script
/usr/share/doc/grub-pc
/usr/share/man/man8/grub-bios-setup.8.gz

Changelog

2016-04-15 - Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>
grub2 (2.02~beta2-36ubuntu3) xenial; urgency=medium
* No-change rebuild to correctly build our unicode font against libfreetype6.
(LP: #1559933)
2016-03-18 - Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
grub2 (2.02~beta2-36ubuntu2) xenial; urgency=medium
* debian/postinst.in: (LP: #1558438)
- fix quoting variables for setup_mok_validation() to account for passwords
that might have special characters.
- use printf rather than straight echo to pass values to mokutil.
- ask the user to confirm password; not just write it once, this will avoid
issues with typos in the Secure Boot keys.
2016-03-15 - Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
grub2 (2.02~beta2-36ubuntu1) xenial; urgency=medium
[ Debconf translations ]
* [ja] Japanese (Takuma Yamada; closes: #815203, #817084).
[ Mathieu Trudel-Lapierre ]
* debian/postinst.in: add MOK validation support; so that it's possible on
upgrade to disable validation in shim if the user has dkms packages
installed.
* debian/control: add mokutil to grub-efi-$arch packages to deal with
toggling MOK validation.
[ dann frazier ]
* Cherry-pick fix for slow timer events on ARM/UEFI (LP: #1553390).
2016-02-05 - Colin Watson <cjwatson@debian.org>
grub2 (2.02~beta2-36) unstable; urgency=medium
[ Colin Watson ]
* Use HTTPS for Vcs-Git URL.
* Add zfs, zfscrypt, and zfsinfo to signed EFI images (LP: #1542358).
[ Martin Pitt ]
* debian/postinst.in, debian/kernel/zz-update-grub: Call
systemd-detect-virt (which works under any init system, despite the
name) instead of the Ubuntu specific running-in-container wrapper.
(LP: #1539016)
2016-01-22 - Colin Watson <cjwatson@debian.org>
grub2 (2.02~beta2-35) unstable; urgency=medium
* Apply the arm64 -mpc-relative-literal-loads workaround in configure
rather than in debian/rules, to cope with toolchains that don't have the
relevant patch applied.
2016-01-22 - Colin Watson <cjwatson@debian.org>
grub2 (2.02~beta2-34) unstable; urgency=medium
[ Colin Watson ]
* Remove duplicate Replaces on grub-ieee1275 (<< 2.00-4) from
grub2-common.
* Refer to /usr/share/common-licenses/GPL-3 rather than
/usr/share/common-licenses/GPL.
* Cherry-pick upstream patches to add more ACPI opcodes to acpihalt
(closes: #766853, LP: #1530648).
* Drop build-dependency on libusb-dev, since it was currently unused in
any case; also explicitly configure with --disable-grub-emu-usb to avoid
possible future ambiguity (closes: #810421).
* Use dpkg-maintscript-helper to convert directories to symlinks in
various upgrade cases, in place of hand-coded equivalents.
* Change versioned Conflicts from grub-common and grub2-common into Breaks
or Breaks+Replaces as appropriate.
* Remove pragmas related to -Wunreachable-code (closes: #812047).
* Temporarily work around arm64 build failure with gcc-5 >= 5.3.1-4 using
-mpc-relative-literal-loads.
* Backport various ZFS improvements from trunk (closes: #706415, #772797;
LP: #1451476, #1530457).
[ Didier Roche ]
* Use new plymouth theme path to set grub theme configuration.
2015-12-16 - Colin Watson <cjwatson@debian.org>
grub2 (2.02~beta2-33) unstable; urgency=high
[ Mathieu Trudel-Lapierre ]
* Cherry-picks to better handle TFTP timeouts on some arches: (LP: #1521612)
- (7b386b7) efidisk: move device path helpers in core for efinet
- (c52ae40) efinet: skip virtual IP devices when enumerating cards
- (f348aee) efinet: enable hardware filters when opening interface
[ Lee Trager ]
* Add raid5rec and raid6rec to signed EFI images (closes: #807385).
[ Colin Watson ]
* CVE-2015-8370: Fix authentication bypass via backspace integer underflow
(closes: #808122).

See Also

Package Description
grub-xen-bin_2.02~beta2-36ubuntu3_amd64.deb GRand Unified Bootloader, version 2 (Xen binaries)
grub-xen_2.02~beta2-36ubuntu3_amd64.deb GRand Unified Bootloader, version 2 (Xen version)
grub2-common_2.02~beta2-36ubuntu3_amd64.deb GRand Unified Bootloader (common files for version 2)
grub_0.97-29ubuntu68_amd64.deb GRand Unified Bootloader (Legacy version)
gsettings-desktop-schemas-dev_3.18.1-1ubuntu1_amd64.deb Development files for GSettings desktop-wide schemas
gsettings-desktop-schemas_3.18.1-1ubuntu1_all.deb GSettings desktop-wide schemas
gsettings-ubuntu-schemas_0.0.5+16.04.20160307-0ubuntu1_all.deb GSettings deskop-wide schemas for Ubuntu
gsfonts_8.11+urwcyr1.0.7~pre44-4.2ubuntu1_all.deb Fonts for the Ghostscript interpreter(s)
gstreamer1.0-alsa_1.8.0-1ubuntu1_amd64.deb GStreamer plugin for ALSA
gstreamer1.0-clutter-3.0_3.0.18-1_amd64.deb Clutter PLugin for GStreamer 1.0
gstreamer1.0-doc_1.8.0-1_all.deb GStreamer core documentation and manuals
gstreamer1.0-plugins-base-apps_1.8.0-1ubuntu1_amd64.deb GStreamer helper programs from the "base" set
gstreamer1.0-plugins-base-doc_1.8.0-1ubuntu1_all.deb GStreamer documentation for plugins from the "base" set
gstreamer1.0-plugins-base_1.8.0-1ubuntu1_amd64.deb GStreamer plugins from the "base" set
gstreamer1.0-plugins-good-doc_1.8.0-1ubuntu1_all.deb GStreamer documentation for plugins from the "good" set
Advertisement
Advertisement